Bug 83502 - OOorgs Makefile lacks information about LOCALIZED_LANG variable
Summary: OOorgs Makefile lacks information about LOCALIZED_LANG variable
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-openoffice (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-07-15 11:20 UTC by Harald Schmalzbauer
Modified: 2005-08-28 09:27 UTC (History)
0 users

See Also:


Attachments
file.diff (762 bytes, patch)
2005-07-15 11:20 UTC, Harald Schmalzbauer
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Harald Schmalzbauer 2005-07-15 11:20:12 UTC
	Since $PORTS/german/openoffice-1.1 was removed I built the standard
$ports/editors/openoffice-1.1 port and, of course, got the english version.
It really should be mentioned that there is LOCALIZED_LANG and view sample settings
(othierwise I'd guess I had to set it to something like de_DE or de_DE.ISO8859-15)
Maybe this also applys to other OpenOffice versions as well.

How-To-Repeat: 	...
Comment 1 Harald Schmalzbauer 2005-07-15 12:04:59 UTC
Well, the fix is wrong since I don't want to definde LOCALIZED_LANG but 
assign it a value.
Forget the previous diff, one correct fix could be:

--- editors/openoffice-1.1/files/Makefile.knobs.orig    Fri Jul 15 12:11:55 
2005
+++ editors/openoffice-1.1/files/Makefile.knobs Fri Jul 15 12:26:42 2005
@@ -69,6 +69,14 @@
        @${ECHO} "You can compile OOo without Java support by"
        @${ECHO} "make -DWITHOUT_JAVA"
 .endif
+.if !defined(LOCALIZED_LANG)
+       @${ECHO}
+       @${ECHO} "You can select the language for OOo by making it with 
'make LOCALIZED_LANG=xx'"
+       @${ECHO} "while xx can be one of the following:"
+       @${ECHO} "af, ar, eu, ca, zh-CN, zh-TW, cs, dk, nl, et, fi, fr, 
gl-ES, de, el, he, hi-IN, hu, it, ja, kn-IN, ko, lt, nb, nn, ns, pl, pt, 
pt-BR, ru, es, sv, sk, sl-SI, th, tn, tr, we, zu"
+       @${ECHO}
+.endif
+
        @${ECHO}
        @${ECHO} "NOTICE:"
        @${ECHO}
Comment 2 Thierry Thomas freebsd_committer 2005-07-16 11:09:38 UTC
Responsible Changed
From-To: freebsd-ports-bugs->openoffice


Assign to maintainer team.
Comment 3 Maho Nakata freebsd_committer 2005-08-28 09:13:48 UTC
State Changed
From-To: open->closed

committed, thanks!